Loading...
Searching...
No Matches
ranges::move_sentinel< S > Struct Template Reference
Iterator

## Public Member Functions

S | base () const
template<typename OS > requires convertible_to<OS, S>
constexpr | move_sentinel (move_sentinel< OS > const &that)
constexpr | move_sentinel (S s)
template<typename OS > requires convertible_to<OS, S>
move_sentinel & | operator= (move_sentinel< OS > const &that)

## Friends

template<typename I > requires sentinel_for<S, I>
auto | operator!= (move_iterator< I > const &i, move_sentinel const &s) -> bool
template<typename I > requires sentinel_for<S, I>
auto | operator!= (move_sentinel const &s, move_iterator< I > const &i) -> bool
template<typename I > requires sentinel_for<S, I>
auto | operator== (move_iterator< I > const &i, move_sentinel const &s) -> bool
template<typename I > requires sentinel_for<S, I>
auto | operator== (move_sentinel const &s, move_iterator< I > const &i) -> bool